> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ar send dunning

> Ar send dunning

### Path parameters

<ParamField path="invoice_id" type="string" required>
  Invoice ID
</ParamField>

### Request body

`SendArDunningRequest`

<ParamField body="letter_type" type="string" required>
  One of `reminder_1`, `reminder_2`, `reminder_3`, `demand_letter`, `collection_notice`.
</ParamField>

<ParamField body="sent_by" type="string,null" />

### Responses

<ResponseField name="201" type="ArCollectionActivityResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/ar/invoices/{invoice_id}/dunning' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "letter_type": "string",
    "sent_by": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "activity_type": "string",
    "contact_method": null,
    "contact_result": null,
    "created_at": "string",
    "customer_id": "string",
    "dunning_letter_type": null,
    "id": "string",
    "invoice_id": "string",
    "notes": null,
    "performed_by": null,
    "promise_to_pay_amount": null,
    "promise_to_pay_date": null
  }
  ```
</ResponseExample>
